<template>
  <div class="container">
    <h1 class="text-center">Welcome to Kurs</h1>
    <div id="auth-container" class="row">
      <div class="col-sm-4 offset-sm-4">
        <ul class="nav nav-tabs nav-justified" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="signin-tab" data-toggle="tab" href="#signin" role="tab" aria-controls="signin" aria-selected="true">Sign In</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="signup-tab" data-toggle="tab" href="#signup" role="tab" aria-controls="signup" aria-selected="false">Sign Up</a>
          </li>
        </ul>

        <div class="tab-content" id="myTabContent">

          <div class="tab-pane fade show active" id="signin" role="tabpanel" aria-labelledby="signin-tab">
            <form @submit.prevent="signIn">
              <div class="form-group">
                <input v-model="email" type="email" class="form-control" id="email" placeholder="Email" required>
              </div>
              <div class="form-group">
                <input v-model="password" type="password" class="form-control" id="password" placeholder="Password" required>
              </div>
              <button type="submit" class="btn btn-block btn-primary">Sign in</button>
            </form>
          </div>

          <div class="tab-pane fade" id="signup" role="tabpanel" aria-labelledby="signin-tab">
            <form @submit.prevent="signUp">
              <div class="form-row">
                <div class="form-group col-md-6">
                  <input v-model="first_name" type="text" class="form-control" id="first_name" placeholder="First Name">
                </div>
                <div class="form-group col-md-6">
                  <input v-model="last_name" type="text" class="form-control" id="last_name" placeholder="Last Name">
                </div>
              </div>
              <div class="form-row">
                <div class="form-group col-md-6">
                  <input v-model="age" type="number" class="form-control" id="age" placeholder="Age">
                </div>
                <div class="form-group col-md-6">
                  <select v-model="gender" class="form-control" id="gender" name="gender">
                    <option value="M">Male</option>
                    <option value="F">Female</option>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <input v-model="phone_number" type="number" class="form-control" id="phone_number" placeholder="Phone Number" required>
              </div>
              <div class="form-row">
                <div class="form-group col-md-6">
                  <input v-model="email" type="email" class="form-control" id="email" placeholder="Email" required>
                </div>
                <div class="form-group col-md-6">
                  <input v-model="password" type="password" class="form-control" id="password" placeholder="Password" required>
                </div>
              </div>
              <div class="form-group">
                <div class="form-check">
                  <input class="form-check-input" type="checkbox" id="toc" required>
                  <label class="form-check-label" for="gridCheck">
                    Accept terms and Conditions
                  </label>
                </div>
              </div>
              <button type="submit" class="btn btn-block btn-primary">Sign up</button>
            </form>
          </div>
          
        </div>
      </div>
    </div>
  </div>
</template>

<script>
    import axios from 'axios'
    export default {
        name: 'app',
        data() {
            return {
                email: '', 
                password: '',
                profile: {
                  'first_name': '',
                  'last_name': '',
                  'phone_number': '',
                  'age': '',
                  'gender': ''
                }
            }
        },
        methods: {
            signIn () {
                axios.post('http://localhost:8000/api/v1/login', {
                  email: this.email, 
                  password: this.password
                })
                .then(response => {
                  sessionStorage.setItem('token', response.data.token)
                  sessionStorage.setItem('email', this.email)
                  this.$router.push('/kurs')
                })
                .catch(e => {
                  console.log(e.response.data)
                })
            },
            signUp () {
              this.profile.first_name = this.first_name
              this.profile.last_name = this.last_name
              this.profile.phone_number = this.phone_number
              this.profile.age = this.age
              this.profile.gender = this.gender

              axios.post('http://localhost:8000/api/v1/signup', {
                  email: this.email, 
                  password: this.password,
                  profile: this.profile
                })
                .then(response => {
                  alert('Your account has been created. You will be signed in automatically')
                  this.signIn()
                })
                .catch(e => {
                  console.log(e.response.data)
                })
            }
        }
    }
</script>

<style scoped>
    #auth-container {
    margin-top: 50px;
    }
    .tab-content {
    padding-top: 20px;
    }
</style>